Skip to main content
GET
List webhooks

Authorizations

x-api-key
string
header
required

API key used to authenticate and authorise every request. Include it in the x-api-key header.

Headers

Accept
enum<string>
required

Defines the response type.

Available options:
application/vnd.Creative Force.v2.3+json,
application/vnd.Creative Force.v2.3+xml

Query Parameters

http_method
enum<string>

Filter by HTTP method.

Available options:
get,
post
subscription_event
enum<string>

Filter by subscription event.

Available options:
allocation_created,
allocation_payment_created,
allocation_payment_deleted,
allocation_payment_status_changed,
allocation_payment_updated,
assignment_completed,
assignment_created,
collaborator_invited,
document_created,
document_deleted,
document_updated,
entry_category_changed,
entry_chapter_changed,
entry_copied,
entry_created,
entry_deleted,
entry_eligible,
entry_ineligible,
entry_moderated,
entry_resubmitted,
entry_submitted,
entry_tagged,
entry_updated,
field_value_updated,
membership_registered,
order_payment_pending,
order_payment_success,
review_task_created,
review_task_submitted,
role_granted,
user_updated
url
string

Filter by webhook URL.

page
number

Specify the page number to return.

per_page
number

Limit the number of items returned to between 1 and 100.

If you provide a value outside this range, you will receive a 400 response.

order
enum<string>

Column to sort by.

Available options:
events,
method,
name,
signing_key,
updated,
url
dir
enum<string>

Sort in ascending or descending order. Invalid values are rejected with 400 Bad Request.

Available options:
asc,
desc

Response

Paginated list of webhooks.

current_page
integer

Number of the page returned by this response, starting at 1.

first_page_url
string

URL of the first page in the result set, relative when the requested page is beyond the last page.

from
integer | null

Position of the first record on this page within the full result set, starting at 1, or null when the requested page is beyond the last page.

last_page
integer

Total number of pages.

last_page_url
string

URL of the last page in the result set, relative when the requested page is beyond the last page.

next_page_url
string

URL of the next page in the result set, empty when the current page is the last page.

path
string

Canonical URL of the endpoint, without query parameters.

per_page
integer
default:10

Maximum number of records returned per page.

Required range: 1 <= x <= 100
prev_page_url
string

URL of the previous page in the result set, empty when the current page is the first page.

to
integer | null

Position of the last record on this page within the full result set, or null when the requested page is beyond the last page.

total
integer

Total number of records across all pages.

data
object[]